[CentOS] Installing Adaptec Storage Manager - needs libstdc++-libc6.1-1.so.2

JohnS jses27 at gmail.com
Mon Oct 18 15:36:15 EDT 2010


On Mon, 2010-10-18 at 17:35 +0100, Peter Crighton wrote:

> Unfortunately not.
> 
> This is the contents of /usr/lib:
> 
> root at backup lib]# ll libstdc*
> -rwxr-xr-x 1 root root 262092 Jan  6  2007
> libstdc++-3-libc6.2-2-2.10.0.so
> lrwxrwxrwx 1 root root     31 Oct 18 17:23 libstdc++-libc6.1-1.so.2 ->
> libstdc++-3-libc6.2-2-2.10.0.so
> lrwxrwxrwx 1 root root     31 Oct 16 17:31 libstdc++-libc6.2-2.so.3 ->
> libstdc++-3-libc6.2-2-2.10.0.so
> lrwxrwxrwx 1 root root     18 Oct 16 17:35 libstdc++.so.5 ->
> libstdc++.so.5.0.7
> -rwxr-xr-x 1 root root 733168 Jan  8  2007 libstdc++.so.5.0.7
> lrwxrwxrwx 1 root root     18 Oct  3 15:44 libstdc++.so.6 ->
> libstdc++.so.6.0.8
> -rwxr-xr-x 1 root root 936908 Mar 31  2010 libstdc++.so.6.0.8
> 
> And the result of the attempted installation:
> 
> [root at backup lib]# rpm --install
> /home/peter/asm-linux_v2.12\(922\).rpm
> error: Failed dependencies:
>         libstdc++-libc6.1-1.so.2 is needed by StorMan-2.12-00.i386
> 
> Grateful for more suggestions.
---
Because it is not registered in the rpm database.

With CAUTION you can use the "--force" parameter of rpm OR obtain
libstdc++ from El4 and install that to solve for the correct lib because
what you are installing is meant for EL4.

John



More information about the CentOS mailing list